(function ($) {
    Drupal.behaviors.translationClone = {
      attach: function (context, settings) {
        $(context).find('fieldset .form-type-checkboxes > label').once('translation-clone').each( function() {
          $(this).click(function() {
            console.log('click');
            var checkboxes = $(this).parents('.form-type-checkboxes').find('input[type="checkbox"]');
            var all_checked = true;
            $(checkboxes).each(function() {
              if ($(this).attr('checked') == false) {
                all_checked = false;
              }
            });
            if (!all_checked) {
              $(checkboxes).each(function () {
                $(this).attr('checked', true);
              });
            }
            else {
              $(checkboxes).each(function () {
                $(this).attr('checked', false);
              });
            }

          });
        });
      }
    }
  }
)(jQuery);